package org.jeecg.modules.ctop.controller;

import org.jeecg.modules.ctop.service.ICrawlerService;
import org.jeecg.modules.ctop.vo.KuaishouAppiumJobVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("appium/crawler")
public class CrawlerController {
    @Autowired
    private ICrawlerService crawlerService;

    @PostMapping("startJob")
    public Map<String, Object> runTask(@RequestBody KuaishouAppiumJobVO jobVO) {
        return crawlerService.startJob(jobVO);
    }

    @GetMapping("loadInspiration")
    public Map<String, Object> loadInspiration() {
        return crawlerService.loadInspiration();
    }
}
