package org.jeecg.modules.ctop.job;

import org.jeecg.modules.ctop.service.IBidWarningService;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 出价预警
 */
public class AccountBidJob implements Job {
    @Autowired
    private IBidWarningService bidWarningService;

    /**
     * 出价预警
     *
     * @param jobExecutionContext
     * @throws JobExecutionException
     */
    @Override
    public void execute(JobExecutionContext jobExecutionContext) {
        Thread thread = new Thread() {
            @Override
            public void run() {
                bidWarningService.BidWarning();
            }
        };
        thread.start();

    }
}
