package org.jeecg.modules.ctop.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 剧本信息
 * @author jeecg-boot
 * @date   2020-03-04
 * @version V1.0
 */
@Data
@TableName("ctop_drama_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_drama_info对象", description="剧本信息")
public class DramaInfo {
	@TableId(type = IdType.AUTO)
	private Long id;
	private String userId;
	private String category;
	private String dramaName;
	private String tag;
	private String userName;
	private Integer nonpublic;
	private String introduction;
	private Integer status;
	private Date createTime;
	private Date updateTime;
}
