package org.jeecg.modules.system.mapper;


import io.lettuce.core.dynamic.annotation.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.system.entity.SysRole;
import org.jeecg.modules.system.entity.UserDto;

import java.util.List;

/**
 * <p>
 * 角色表 Mapper 接口
 * </p>
 *
 * @Author scott
 * @since 2018-12-19
 */
public interface SysRoleMapper extends BaseMapper<SysRole> {
    //根据roleCode获取相对应的用户信息
    List<UserDto> getUserByRoleCode(@Param("roleCode")String roleCode);

    String getRoleIdByRoleCode(@Param("roleCode")String roleCode);

    String getRoleCodeByUserId(@Param("userId")String userId);

}
