package cn.com.ctop.crawler.modules.kuaishoucce.service.impl;

import cn.com.ctop.crawler.modules.kuaishoucce.entity.KuaishouInspiredAd;
import cn.com.ctop.crawler.modules.kuaishoucce.mapper.KuaishouInspiredAdMapper;
import cn.com.ctop.crawler.modules.kuaishoucce.service.IKuaishouInspiredAdService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 快手创意视频
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-03
 */
@Service
public class KuaishouInspiredAdServiceImpl extends ServiceImpl<KuaishouInspiredAdMapper, KuaishouInspiredAd> implements IKuaishouInspiredAdService {
    @Autowired
    private KuaishouInspiredAdMapper inspiredAdMapper;

    @Override
    public void replaceBatch(List<KuaishouInspiredAd> ads) {
        inspiredAdMapper.replaceBatch(ads);
    }
}
