package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportHourlyCreativeStatistic;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;

/**
 * 时报清洗数据
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-11-01
 */
public interface IKuaishouReportHourlyCreativeStatisticService extends IService<KuaishouReportHourlyCreativeStatistic> {

    void updateCreativeReportHourlyStatistic(CtopOauthToken token, Date getDate);

    void deleteHourlyReport(Date deleteDate);
    void deleteHourlyReportByStatDate(String deleteDate);
}
