package cn.com.ctop.bytedance.mapper;

import cn.com.ctop.bytedance.entity.BytedanceCreativeDailyReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import retrofit2.http.PartMap;

import java.util.List;
import java.util.Map;

/**
 * @Description: 广告创意日报表信息
 * @Author: jeecg-boot
 * @Date: 2019-09-11
 * @Version: V1.0
 */
public interface BytedanceCreativeDailyReportMapper extends BaseMapper<BytedanceCreativeDailyReport> {
    List<BytedanceCreativeDailyReport> bytedanceCreativeDailyReport(@Param("userId")String userId, @Param("startDate")String startDate, @Param("endDate")String endDate);

    List<BytedanceCreativeDailyReport> bytedanceCreativeAccountReport(Map<String, Object> paramsMap);


    void replaceBatch(@Param(value = "reports") List<BytedanceCreativeDailyReport> reports);
}
